Index: src/templates/Honeygrid/styles/modules/_product_info.scss
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/styles/modules/_product_info.scss	(revision 94dd658774225d8a938c25db569ff78d1ffb11b3)
+++ src/templates/Honeygrid/styles/modules/_product_info.scss	(revision )
@@ -514,13 +514,6 @@
 .product-info-share {
   padding: 0 ($grid-gutter-width / 2) 10px;
   @include clearfix();
-  .product-info-share-item {
-    margin: 0 ($grid-gutter-width / 2) $grid-gutter-width 0;
-    float: left;
-    img {
-      cursor: pointer;
-    }
-  }
 }
 
 
Index: development_tools/gulp_tasks/honeygrid/gulp_honeygrid_vendor.js
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- development_tools/gulp_tasks/honeygrid/gulp_honeygrid_vendor.js	(revision 94dd658774225d8a938c25db569ff78d1ffb11b3)
+++ development_tools/gulp_tasks/honeygrid/gulp_honeygrid_vendor.js	(revision )
@@ -52,7 +52,8 @@
 				'respond',
 				'Swiper',
 		        'blueimp-file-upload',
-				'honeygrid-modernizr'
+				'honeygrid-modernizr',
+				'shariff'
 			],
 			overrides = {
 				'jQuery-rwdImageMaps': {
Index: src/templates/Honeygrid/javascript/engine/widgets/social_share.js
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/javascript/engine/widgets/social_share.js	(revision 94dd658774225d8a938c25db569ff78d1ffb11b3)
+++ src/templates/Honeygrid/javascript/engine/widgets/social_share.js	(revision )
@@ -1,8 +1,8 @@
 /* --------------------------------------------------------------
- social_share.js 2015-10-15 gm
+ social_share.js 2016-02-19
  Gambio GmbH
  http://www.gambio.de
- Copyright (c) 2015 Gambio GmbH
+ Copyright (c) 2016 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------
@@ -11,11 +11,13 @@
 /**
  * Widget that enables the social sharing support
  * (e.g.: Facebook, Twitter, Google+)
+ * 
+ * https://github.com/heiseonline/shariff
  */
 gambio.widgets.module(
 	'social_share',
 
-	['xhr'],
+	[],
 
 	function(data) {
 
@@ -24,84 +26,43 @@
 // ########## VARIABLE INITIALIZATION ########## 
 
 		var $this = $(this),
-			defaults = {
-				// URL from where the social share markup gets delivered.
-				url: jse.core.registry.get('tplPath') + 'social_sharing/get.php'
-			},
+			defaults = {},
 			options = $.extend(true, {}, defaults, data),
 			module = {};
 
 
-// ########## EVENT HANDLER ##########
-
 		/**
-		 * Click handler for the social sharing buttons / links
-		 * @private
+		 * Init function of the widget
+		 * @constructor
 		 */
-		var _clickHandler = function() {
-			var $self = $(this),
-				dataset = $self.data();
+		module.init = function(done) {
+			$this.addClass('shariff'); 
 			
-			// Get the current configuration
-			dataset = dataset.social_share || $self.parseModuleData('social_share');
+			var config = {
+				url: 'og:url',
+				theme: 'standard',
+				lang: jse.core.config.get('languageCode'),
+				services: []
+			};
 			
-			// Collect data for the backend
-			dataset.url = location.href;
-			dataset.title = document.title;
-			dataset.product_image = $('#product_image_swiper .swiper-slide img').first().attr('src');
+			if (options.facebook !== undefined) {
+				config.services.push('facebook'); 
+			}
-
+			
-			// Get the markup
-			jse.libs.xhr.ajax({url: options.url, data: dataset, dataType: 'html'}).done(function(result) {
-				var $button = $(result),
-					iframe = $button.is('iframe'),
-					$preloader = $('<div class="preloader" ></div>');
+			if (options.twitter !== undefined) {
+				config.services.push('twitter');
+			}
-
+			
-				// Appends a click handler if the new state is "off"
-				if (dataset.state !== 'on') {
-					$self.one('click', _clickHandler);
-					dataset.state = 'on';
+			if (options.googleplus !== undefined) {
+				config.services.push('googleplus');
-				}
-
+			}
+			
-				if (iframe) {
-					// If it is an iframe, show a preloader
-					// and remove it, after the iframe has loaded
-					$button.one('load', function() {
-						$preloader.remove();
-					});
-
-					$self
-						.data('social_share', dataset)
-						.empty()
-						.append($preloader)
-						.append($button);
-
-				} else {
-					// Else just append the button
-					$self
-						.data('social_share', dataset)
-						.empty()
-						.append($button);
+			if (options.pinterest !== undefined) {
+				config.services.push('pinterest');
-				}
-
+			}
+			
-			});
-		};
-
-
-// ########## INITIALIZATION ##########
-
-		/**
-		 * Init function of the widget
-		 * @constructor
-		 */
-		module.init = function(done) {
-
-			// In first instance perform the
-			// action that will be performed
-			// on click also
-			$this
-				.find('[data-social_share-service]')
-				.each(_clickHandler);
+			new Shariff($this, config);
-
+			
 			done();
 		};
 
\ No newline at end of file
Index: src/templates/Honeygrid/snippets/product_info/social_share.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/snippets/product_info/social_share.html	(revision 94dd658774225d8a938c25db569ff78d1ffb11b3)
+++ src/templates/Honeygrid/snippets/product_info/social_share.html	(revision )
@@ -1,16 +1,8 @@
 {if $SHOW_FACEBOOK || $SHOW_TWITTER || $SHOW_GOOGLEPLUS || $SHOW_PINTEREST}
-	<div data-gambio-widget="social_share">
-		{if $SHOW_FACEBOOK}
-			<div data-social_share-service="facebook" data-social_share-state="off" class="product-info-share-item"></div>
-		{/if}
-		{if $SHOW_TWITTER}
-			<div data-social_share-service="twitter" data-social_share-state="off" class="product-info-share-item"></div>
-		{/if}
-		{if $SHOW_GOOGLEPLUS}
-			<div data-social_share-service="googleplus" data-social_share-state="off" class="product-info-share-item"></div>
-		{/if}
-		{if $SHOW_PINTEREST}
-			<div data-social_share-service="pinterest" data-social_share-state="off" class="product-info-share-item"></div>
-		{/if}
+	<div data-gambio-widget="social_share"
+	     {if $SHOW_FACEBOOK}data-social_share-facebook{/if}
+	     {if $SHOW_TWITTER}data-social_share-twitter{/if}
+	     {if $SHOW_GOOGLEPLUS}data-social_share-googleplus{/if}
+	     {if $SHOW_PINTEREST}data-social_share-pinterest{/if}>
 	</div>
 {/if}
Index: bower.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- bower.json	(revision 94dd658774225d8a938c25db569ff78d1ffb11b3)
+++ bower.json	(revision )
@@ -30,10 +30,11 @@
     "spectrum": "~1.8.0",
     "codemirror": "CodeMirror#~5.10.0",
     "datetimepicker": "~2.4.5",
-    "honeygrid-modernizr": "https://sources.gambio-server.net/gambio/honeygrid-modernizr.git"
+    "honeygrid-modernizr": "https://sources.gambio-server.net/gambio/honeygrid-modernizr.git",
+    "shariff": "^1.23.0"
   },
   "devDependencies": {},
   "resolutions": {
-    "jquery": ">=1.6"
+    "jquery": "~1.11.3"
   }
 }