Index: src/system/classes/checkout/CheckoutConfirmationContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/checkout/CheckoutConfirmationContentView.inc.php	(revision Local version)
+++ src/system/classes/checkout/CheckoutConfirmationContentView.inc.php	(revision Shelved version)
@@ -1,9 +1,9 @@
 <?php
 /* --------------------------------------------------------------
-  CheckoutConfirmationContentView.inc.php 2015-04-13 gm
+  CheckoutConfirmationContentView.inc.php 2016-11-03
   Gambio GmbH
   http://www.gambio.de
-  Copyright (c) 2015 Gambio GmbH
+  Copyright (c) 2016 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
@@ -125,7 +125,6 @@
 
 				$t_options_values_array = array();
 				$t_attr_weight = 0;
-				$t_attr_model_array = array();
 
 				if(isset($coo_order->products[$i]['attributes']) && is_array($coo_order->products[$i]['attributes']))
 				{
@@ -139,8 +138,7 @@
 					{
 						$t_attr_sql = "SELECT
 											options_values_weight AS weight,
-											weight_prefix AS prefix,
-											attributes_model
+											weight_prefix AS prefix
 										FROM
 											products_attributes
 										WHERE
@@ -154,11 +152,6 @@
 						{
 							$t_attr_result_array = xtc_db_fetch_array($t_attr_result);
 
-							if(trim($t_attr_result_array['attributes_model']) != '')
-							{
-								$t_attr_model_array[] = $t_attr_result_array['attributes_model'];
-							}
-
 							if($t_attr_result_array['prefix'] == '-')
 							{
 								$t_attr_weight -= (double) $t_attr_result_array['weight'];
@@ -185,14 +178,6 @@
 				}
 
 				$t_products_model = $coo_order->products[$i]['model'];
-				if($t_products_model != '' && isset($t_attr_model_array[0]))
-				{
-					$t_products_model .= '-' . implode('-', $t_attr_model_array);
-				}
-				else
-				{
-					$t_products_model .= implode('-', $t_attr_model_array);
-				}
 
 				#properties
 				$t_properties = '';
Index: src/includes/classes/wish_list.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/wish_list.php	(revision Local version)
+++ src/includes/classes/wish_list.php	(revision Shelved version)
@@ -1,6 +1,6 @@
 <?php
 /* --------------------------------------------------------------
-  wish_list.php 2016-09-21
+  wish_list.php 2016-11-03
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
@@ -491,10 +491,51 @@
 
 				# add attributes price
 				$products_price = $products_price + $this->attributes_price($products_id);
-
+				
+				$t_attr_model_array = [];
+				if(array_key_exists('attributes', $this->contents[$products_id]))
+				{
+					foreach($this->contents[$products_id]['attributes'] AS $t_option_id => $t_value_id)
+					{
+						$t_attr_sql    = "SELECT
+											options_values_weight AS weight,
+											weight_prefix AS prefix,
+											attributes_model
+										FROM
+											products_attributes
+										WHERE
+											products_id				= '"
+						                 . (int)xtc_get_prid($products_id) . "' AND
+											options_id				= '" . (int)$t_option_id . "' AND
+											options_values_id		= '" . (int)$t_value_id . "'
+										LIMIT 1";
+						$t_attr_result = xtc_db_query($t_attr_sql);
+						
+						if(xtc_db_num_rows($t_attr_result) == 1)
+						{
+							$t_attr_result_array = xtc_db_fetch_array($t_attr_result);
+							
+							if(trim($t_attr_result_array['attributes_model']) != '')
+							{
+								$t_attr_model_array[] = $t_attr_result_array['attributes_model'];
+							}
+						}
+					}
+					
+					$t_products_model = $products['products_model'];
+					if($t_products_model != '' && count($t_attr_model_array))
+					{
+						$t_products_model .= '-' . implode('-', $t_attr_model_array);
+					}
+					else
+					{
+						$t_products_model .= implode('-', $t_attr_model_array);
+					}
+				}
+
 				$products_array[] = array('id' => $products_id,
 					'name' => $products['products_name'],
-					'model' => $products['products_model'],
+					'model' => $t_products_model,
 					'image' => $products['products_image'],
 					'price' => $products_price,
 					'quantity' => $this->contents[$products_id]['qty'],
\ No newline at end of file
Index: src/includes/classes/shopping_cart.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/includes/classes/shopping_cart.php	(revision Local version)
+++ src/includes/classes/shopping_cart.php	(revision Shelved version)
@@ -1,6 +1,6 @@
 <?php
 /* --------------------------------------------------------------
-  shopping_cart.php 2016-09-26
+  shopping_cart.php 2016-11-03
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
@@ -573,12 +573,53 @@
 					{
 						$t_properties_weight = $products['products_weight'];
 					}
-
+					
+					$t_attr_model_array = [];
+					if(array_key_exists('attributes', $this->contents[$products_id]))
+					{
+						foreach($this->contents[$products_id]['attributes'] AS $t_option_id => $t_value_id)
+						{
+							$t_attr_sql    = "SELECT
+											options_values_weight AS weight,
+											weight_prefix AS prefix,
+											attributes_model
+										FROM
+											products_attributes
+										WHERE
+											products_id				= '"
+							                 . (int)xtc_get_prid($products_id) . "' AND
+											options_id				= '" . (int)$t_option_id . "' AND
+											options_values_id		= '" . (int)$t_value_id . "'
+										LIMIT 1";
+							$t_attr_result = xtc_db_query($t_attr_sql);
+							
+							if(xtc_db_num_rows($t_attr_result) == 1)
+							{
+								$t_attr_result_array = xtc_db_fetch_array($t_attr_result);
+								
+								if(trim($t_attr_result_array['attributes_model']) != '')
+								{
+									$t_attr_model_array[] = $t_attr_result_array['attributes_model'];
+								}
+							}
+						}
+						
+						$t_products_model = $products['products_model'];
+						if($t_products_model != '' && count($t_attr_model_array))
+						{
+							$t_products_model .= '-' . implode('-', $t_attr_model_array);
+						}
+						else
+						{
+							$t_products_model .= implode('-', $t_attr_model_array);
+						}
+					}
+
 					$products_array[] = array(
 						'id' => $products_id,
 						'name' => $products['products_name'],
 						'checkout_information' => $products['checkout_information'],
-						'model' => $products['products_model'],
+						'model' => $t_products_model,
 						'image' => $products['products_image'],
 						'price' => $products_price,
 						'vpe' => $product->getVPEtext($products, $products_price),
\ No newline at end of file