Index: src/GXMainComponents/Services/Core/Customer/ValueObjects/CustomerInputValidatorSettings.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Services/Core/Customer/ValueObjects/CustomerInputValidatorSettings.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/GXMainComponents/Services/Core/Customer/ValueObjects/CustomerInputValidatorSettings.inc.php	(revision )
@@ -48,14 +48,20 @@
 	 * @var int
 	 */
 	protected $emailMinLength;
-
+	
 	/**
 	 * Customer's street minimum length.
 	 * @var int
 	 */
 	protected $streetMinLength;
-
+	
 	/**
+	 * Customer's house number minimum length.
+	 * @var int
+	 */
+	protected $houseNumberMinLength;
+
+	/**
 	 * Customer's company minimum length.
 	 * @var int
 	 */
@@ -150,14 +156,20 @@
 	 * @var string
 	 */
 	protected $emailExistsErrorMessage;
-
+	
 	/**
 	 * Customer's street error message.
 	 * @var string
 	 */
 	protected $streetErrorMessage;
-
+	
 	/**
+	 * Customer's house number error message.
+	 * @var string
+	 */
+	protected $houseNumberErrorMessage;
+
+	/**
 	 * Customer's post code error message.
 	 * @var string
 	 */
@@ -283,14 +295,20 @@
 	 * @var int
 	 */
 	protected $vatNumberMaxLength;
-
+	
 	/**
 	 * Customer's street maximum length.
 	 * @var int
 	 */
 	protected $streetMaxLength;
-
+	
 	/**
+	 * Customer's house number maximum length.
+	 * @var int
+	 */
+	protected $houseNumberMaxLength;
+
+	/**
 	 * Customer's post code maximum length.
 	 * @var int
 	 */
@@ -344,6 +362,7 @@
 		$this->dateOfBirthMinLength     = (int)ENTRY_DOB_MIN_LENGTH;
 		$this->emailMinLength           = (int)ENTRY_EMAIL_ADDRESS_MIN_LENGTH;
 		$this->streetMinLength          = (int)ENTRY_STREET_ADDRESS_MIN_LENGTH;
+		$this->houseNumberMinLength     = (int)ENTRY_HOUSENUMBER_MIN_LENGTH;
 		$this->companyMinLength         = (int)ENTRY_COMPANY_MIN_LENGTH;
 		$this->postcodeMinLength        = (int)ENTRY_POSTCODE_MIN_LENGTH;
 		$this->cityMinLength            = (int)ENTRY_CITY_MIN_LENGTH;
@@ -362,6 +381,7 @@
 		$this->emailConfirmationErrorMessage    = ENTRY_EMAIL_ADDRESS_CONFIRM_DIFFERENT_ERROR;
 		$this->emailExistsErrorMessage          = ENTRY_EMAIL_ADDRESS_ERROR_EXISTS;
 		$this->streetErrorMessage               = sprintf(ENTRY_STREET_ADDRESS_ERROR, ENTRY_STREET_ADDRESS_MIN_LENGTH);
+		$this->houseNumberErrorMessage          = sprintf(ENTRY_HOUSENUMBER_ERROR, ENTRY_HOUSENUMBER_MIN_LENGTH);
 		$this->postcodeErrorMessage             = sprintf(ENTRY_POST_CODE_ERROR, ENTRY_POSTCODE_MIN_LENGTH);
 		$this->cityErrorMessage                 = sprintf(ENTRY_CITY_ERROR, ENTRY_CITY_MIN_LENGTH);
 		$this->countryErrorMessage              = ENTRY_COUNTRY_ERROR;
@@ -397,6 +417,7 @@
 		$this->companyMaxLength     = 255;
 		$this->vatNumberMaxLength   = 20;
 		$this->streetMaxLength      = 64;
+		$this->houseNumberMaxLength = 10;
 		$this->postcodeMaxLength    = 10;
 		$this->cityMaxLength        = 32;
 		$this->countryZoneMaxLength = 32;
@@ -653,8 +674,8 @@
 	{
 		return $this->postcodeMinLength;
 	}
-
-
+	
+	
 	/**
 	 * Returns a street error message.
 	 * @return string Street error message.
@@ -663,9 +684,19 @@
 	{
 		return $this->streetErrorMessage;
 	}
-
-
+	
+	
 	/**
+	 * Returns a house number error message.
+	 * @return string house number error message.
+	 */
+	public function getHouseNumberErrorMessage()
+	{
+		return $this->houseNumberErrorMessage;
+	}
+	
+	
+	/**
 	 * Returns the minimum required street character length.
 	 * @return int Minimum required street character length.
 	 */
@@ -673,9 +704,19 @@
 	{
 		return $this->streetMinLength;
 	}
-
-
+	
+	
 	/**
+	 * Returns the minimum required house number character length.
+	 * @return int Minimum required house number character length.
+	 */
+	public function getHouseNumberMinLength()
+	{
+		return $this->houseNumberMinLength;
+	}
+
+
+	/**
 	 * Returns a telephone number error message.
 	 * @return string Telephone number error message.
 	 */
@@ -823,8 +864,8 @@
 	{
 		return $this->vatNumberMaxLength;
 	}
-
-
+	
+	
 	/**
 	 * Returns the maximum required street character length.
 	 * @return int Maximum required street character length.
@@ -832,6 +873,16 @@
 	public function getStreetMaxLength()
 	{
 		return $this->streetMaxLength;
+	}
+	
+	
+	/**
+	 * Returns the maximum required house number character length.
+	 * @return int Maximum required house number character length.
+	 */
+	public function getHouseNumberMaxLength()
+	{
+		return $this->houseNumberMaxLength;
 	}
 
 
\ No newline at end of file
Index: src/lang/german/original_sections/general.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_sections/general.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/german/original_sections/general.lang.inc.php	(revision )
@@ -125,6 +125,8 @@
 	'ENTRY_STREET_ADDRESS_ERROR'                     => 'mindestens %s Zeichen',
 	'ENTRY_STREET_ADDRESS_NOT_STREET'                => 'Als Rechnungsadresse kann keine Packstation oder Postfiliale angegeben werden.',
 	'ENTRY_STREET_ADDRESS_TEXT'                      => '*',
+	'ENTRY_HOUSENUMBER_ERROR'                        => 'mindestens %s Zeichen',
+	'ENTRY_HOUSENUMBER_TEXT'                         => '*',
 	'ENTRY_SUBURB_TEXT'                              => '',
 	'ENTRY_TELEPHONE_NUMBER_ERROR'                   => 'mindestens %s Zeichen',
 	'ENTRY_TELEPHONE_NUMBER_TEXT'                    => '*',
\ No newline at end of file
Index: src/lang/english/original_sections/admin/configuration.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_sections/admin/configuration.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/english/original_sections/admin/configuration.lang.inc.php	(revision )
@@ -219,6 +219,8 @@
 	'ENTRY_STATE_MIN_LENGTH_TITLE' => 'State',
 	'ENTRY_STREET_ADDRESS_MIN_LENGTH_DESC' => 'Minimum length of street address',
 	'ENTRY_STREET_ADDRESS_MIN_LENGTH_TITLE' => 'Street Address',
+	'ENTRY_HOUSENUMBER_MIN_LENGTH_DESC' => 'Minimum length of house number',
+	'ENTRY_HOUSENUMBER_MIN_LENGTH_TITLE' => 'House Number',
 	'ENTRY_TELEPHONE_MIN_LENGTH_DESC' => 'Minimum length of telephone number',
 	'ENTRY_TELEPHONE_MIN_LENGTH_TITLE' => 'Telephone Number',
 	'ERROR_IMAGE_QUALITY' => 'Insert a numeric value between 0 and 100.',
\ No newline at end of file
Index: src/GXMainComponents/Services/Core/Customer/CustomerInputValidator.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Services/Core/Customer/CustomerInputValidator.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/GXMainComponents/Services/Core/Customer/CustomerInputValidator.inc.php	(revision )
@@ -381,8 +381,8 @@
 
 		return true;
 	}
-
-
+	
+	
 	/**
 	 * Checks if the entered street is valid.
 	 *
@@ -396,7 +396,7 @@
 		{
 			$this->errorStatus = true;
 			$this->errorMessageCollection->setValue('error_street', $this->settings->getInvalidInputErrorMessage());
-
+			
 			return false;
 		}
 		
@@ -404,15 +404,49 @@
 		{
 			$this->errorStatus = true;
 			$this->errorMessageCollection->setValue('error_street', $this->settings->getStreetErrorMessage());
-
+			
 			return false;
 		}
-
+		
 		return true;
 	}
-
-
+	
+	
 	/**
+	 * Checks if the entered house number is valid.
+	 *
+	 * @param string $p_house_number Customer's house number.
+	 *
+	 * @return bool Is valid?
+	 */
+	public function validateHouseNumber($p_house_number)
+	{
+		if(ACCOUNT_SPLIT_STREET_INFORMATION == 'true')
+		{
+			if(strlen_wrapper(trim((string)$p_house_number)) > $this->settings->getHouseNumberMaxLength())
+			{
+				$this->errorStatus = true;
+				$this->errorMessageCollection->setValue('error_house_number',
+				                                        $this->settings->getInvalidInputErrorMessage());
+				
+				return false;
+			}
+			
+			if(strlen_wrapper((string)$p_house_number) < $this->settings->getHouseNumberMinLength())
+			{
+				$this->errorStatus = true;
+				$this->errorMessageCollection->setValue('error_house_number',
+				                                        $this->settings->getHouseNumberErrorMessage());
+				
+				return false;
+			}
+		}
+		
+		return true;
+	}
+
+
+	/**
 	 * Checks if the entered postcode is valid.
 	 *
 	 * @param string $p_postcode Customer's post code.
\ No newline at end of file
Index: src/system/classes/accounts/CreateAccountContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/accounts/CreateAccountContentView.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/system/classes/accounts/CreateAccountContentView.inc.php	(revision )
@@ -312,6 +312,11 @@
 			$this->content_array['form_data']['house_number']['name'] = 'house_number';
 			$this->content_array['form_data']['house_number']['value'] = htmlspecialchars_wrapper($this->customer_data_array['house_number']);
 			$this->content_array['form_data']['house_number']['required'] = 0;
+			if((int)ENTRY_HOUSENUMBER_MIN_LENGTH > 0)
+			{
+				$this->content_array['form_data']['street_address']['required'] = 1;
+			}
+			
 		}
 		else
 		{
\ No newline at end of file
Index: src/templates/Honeygrid/module/create_account_guest.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/module/create_account_guest.html	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/templates/Honeygrid/module/create_account_guest.html	(revision )
@@ -278,54 +278,55 @@
 			{$txt.title_address}
 		</legend>
 
-		<div class="form-group{if $form_data.street_address.required == '1'} mandatory{/if}{if $error_street} has-feedback has-error{/if}">
+		<div class="form-group{if $form_data.street_address.required == '1' || $form_data.house_number.required == '1'} mandatory{/if}">
 
+			{if $split_street_information == '1'}
+			<div {if $error_street || $error_house_number}class="has-feedback has-error"{/if}>
-			<label for="{$form_data.street_address.name}" class="control-label col-sm-3">
-				{$txt.text_street_number}
-			</label>
+				<label for="{$form_data.street_address.name}" class="control-label col-sm-3">
+					{$txt.text_street_number}
+				</label>
-
-			{if $split_street_information == '1'}
-				<div class="col-sm-6 col-lg-4 input-container">
+			</div>
+			<div class="col-sm-6 col-lg-4 input-container {if $error_street} has-feedback has-error{/if}">
-					<input type="text"
-						   placeholder="{$txt.text_street}"
-						   id="{$form_data.street_address.name}"
-						   name="{$form_data.street_address.name}"
-						   class="form-control"
-						   value="{$form_data.street_address.value}" />
+				<input type="text"
+				       placeholder="{$txt.text_street}"
+				       id="{$form_data.street_address.name}"
+				       name="{$form_data.street_address.name}"
+				       class="form-control"
+				       value="{$form_data.street_address.value}" />
 
-					{if $error_street}
-						<span class="help-block">{$error_street}</span>
-					{/if}
-				</div>
+				{if $error_street}
+					<span class="help-block">{$error_street}</span>
+				{/if}
+			</div>
 
-				<div class="col-sm-3 col-lg-2 input-container">
+			<div class="col-sm-3 col-lg-2 input-container {if $error_house_number} has-feedback has-error{/if}">
-					<input type="text"
-						   placeholder="{$txt.text_house_number}"
-						   id="{$form_data.house_number.name}"
-						   name="{$form_data.house_number.name}"
-						   class="form-control"
-						   value="{$form_data.house_number.value}" />
+				<input type="text"
+				       placeholder="{$txt.text_house_number}"
+				       id="{$form_data.house_number.name}"
+				       name="{$form_data.house_number.name}"
+				       class="form-control"
+				       value="{$form_data.house_number.value}" />
 
-					{if $error_house_number}
-						<span class="help-block">{$error_house_number}</span>
-					{/if}
-				</div>
-			{else}
+				{if $error_house_number}
+					<span class="help-block">{$error_house_number}</span>
+				{/if}
+			</div>
+		{else}
-				<div class="col-sm-9 col-lg-6 input-container">
+			<div class="col-sm-9 col-lg-6 input-container {if $error_street} has-feedback has-error{/if}">
-					<input type="text"
-						   placeholder="{$txt.text_street_number}"
-						   id="{$form_data.street_address.name}"
-						   name="{$form_data.street_address.name}"
-						   class="form-control"
-						   value="{$form_data.street_address.value}" />
+				<input type="text"
+				       placeholder="{$txt.text_street_number}"
+				       id="{$form_data.street_address.name}"
+				       name="{$form_data.street_address.name}"
+				       class="form-control"
+				       value="{$form_data.street_address.value}" />
 
-					{if $error_street}
-						<span class="help-block">
-							{$error_street}
-						</span>
-					{/if}
-				</div>
-			{/if}
+				{if $error_street}
+					<span class="help-block">
+						{$error_street}
+					</span>
+				{/if}
+			</div>
+		{/if}
 
 		</div>
 
\ No newline at end of file
Index: src/lang/english/original_sections/general.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_sections/general.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/english/original_sections/general.lang.inc.php	(revision )
@@ -128,6 +128,8 @@
 	'ENTRY_STATE_TEXT'                               => '*',
 	'ENTRY_STREET_ADDRESS_ERROR'                     => 'at least %s characters',
 	'ENTRY_STREET_ADDRESS_TEXT'                      => '*',
+	'ENTRY_HOUSENUMBER_ERROR'                        => 'at least %s characters',
+	'ENTRY_HOUSENUMBER_TEXT'                         => '*',
 	'ENTRY_SUBURB_TEXT'                              => '',
 	'ENTRY_TELEPHONE_NUMBER_ERROR'                   => 'at least %s characters',
 	'ENTRY_TELEPHONE_NUMBER_TEXT'                    => '*',
\ No newline at end of file
Index: src/GXMainComponents/Services/Core/Address/CustomerAddressInputValidator.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Services/Core/Address/CustomerAddressInputValidator.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/GXMainComponents/Services/Core/Address/CustomerAddressInputValidator.inc.php	(revision )
@@ -44,6 +44,7 @@
 		$this->validateFirstname($inputArray['firstname']);
 		$this->validateLastname($inputArray['lastname']);
 		$this->validateStreet($inputArray['street_address']);
+		$this->validateHouseNumber($inputArray['street_address']);
 		$this->validateCountryZone($inputArray['state'], $inputArray['country']);
 		$this->validatePostcode($inputArray['postcode']);
 		$this->validateCity($inputArray['city']);
Index: src/lang/german/original_sections/admin/admin_general.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_sections/admin/admin_general.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/german/original_sections/admin/admin_general.lang.inc.php	(revision )
@@ -158,8 +158,9 @@
 	'ENTRY_STATE' => 'Bundesland:',
 	'ENTRY_STATE_ERROR' => ' <span class="errorText">notwendige Eingabe</font></small>',
 	'ENTRY_STREET_ADDRESS' => 'Straße:',
-	'ENTRY_HOUSE_NUMBER' => 'Hausnummer:',
 	'ENTRY_STREET_ADDRESS_ERROR' => ' <span class="errorText">mindestens %s Buchstaben</span>',
+	'ENTRY_HOUSENUMBER' => 'Hausnummer:',
+	'ENTRY_HOUSENUMBER_ERROR' => ' <span class="errorText">mindestens %s Zeichen</span>',
 	'ENTRY_SUBURB' => 'Stadtteil:',
 	'ENTRY_TELEPHONE_NUMBER' => 'Telefonnummer:',
 	'ENTRY_TELEPHONE_NUMBER_ERROR' => ' <span class="errorText">mindestens %s Zahlen</span>',
Index: src/GXMainComponents/Services/Core/Customer/CustomerRegistrationInputValidatorService.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Services/Core/Customer/CustomerRegistrationInputValidatorService.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/GXMainComponents/Services/Core/Customer/CustomerRegistrationInputValidatorService.inc.php	(revision )
@@ -132,6 +132,7 @@
 		$this->validateCompany($inputArray['company']);
 		$this->validateEmailAndConfirmation($inputArray['email_address'], $inputArray['email_address_confirm']);
 		$this->validateStreet($inputArray['street_address']);
+		$this->validateHouseNumber($inputArray['house_number']);
 		$this->validateSuburb($inputArray['suburb']);
 		$this->validatePostcode($inputArray['postcode']);
 		$this->validateCity($inputArray['city']);
@@ -140,7 +141,7 @@
 		$this->validateTelephoneNumber($inputArray['telephone']);
 		$this->validateFaxNumber($inputArray['fax']);
 		$this->validatePrivacy($inputArray['privacy_accepted']);
-
+		
 		return !$this->getErrorStatus();
 	}
 	
Index: src/lang/german/original_sections/admin/configuration.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_sections/admin/configuration.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/german/original_sections/admin/configuration.lang.inc.php	(revision )
@@ -219,6 +219,8 @@
 	'ENTRY_STATE_MIN_LENGTH_TITLE' => 'Bundesland',
 	'ENTRY_STREET_ADDRESS_MIN_LENGTH_DESC' => 'Minimum Länge der Straßenanschrift',
 	'ENTRY_STREET_ADDRESS_MIN_LENGTH_TITLE' => 'Straße',
+	'ENTRY_HOUSENUMBER_MIN_LENGTH_DESC' => 'Minimum Länge der Hausnummer (nur aktiv, wenn Hausnummer und Straßenname getrennt dargestellt werden.',
+	'ENTRY_HOUSENUMBER_MIN_LENGTH_TITLE' => 'Hausnummer',
 	'ENTRY_TELEPHONE_MIN_LENGTH_DESC' => 'Minimum Länge der Telefonnummer',
 	'ENTRY_TELEPHONE_MIN_LENGTH_TITLE' => 'Telefonnummer',
 	'ERROR_IMAGE_QUALITY' => 'Geben Sie einen numerischen Wert zwischen 0 und 100 ein.',
\ No newline at end of file
Index: src/lang/english/original_sections/admin/admin_general.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_sections/admin/admin_general.lang.inc.php	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/lang/english/original_sections/admin/admin_general.lang.inc.php	(revision )
@@ -156,8 +156,9 @@
 	'ENTRY_STATE' => 'State:',
 	'ENTRY_STATE_ERROR' => ' <span class="errorText">required</font></small>',
 	'ENTRY_STREET_ADDRESS' => 'Street:',
-	'ENTRY_HOUSE_NUMBER' => 'House Number:',
 	'ENTRY_STREET_ADDRESS_ERROR' => ' <span class="errorText">min. %s Chars</span>',
+	'ENTRY_HOUSENUMBER' => 'House Number:',
+	'ENTRY_HOUSENUMBER_ERROR' => ' <span class="errorText">min. %s chars</span>',
 	'ENTRY_SUBURB' => 'Suburb:',
 	'ENTRY_TELEPHONE_NUMBER' => 'Telephone Number:',
 	'ENTRY_TELEPHONE_NUMBER_ERROR' => ' <span class="errorText">min. %s chars</span>',
Index: src/templates/Honeygrid/module/create_account.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/module/create_account.html	(revision c95ea01ee6d8ec11e96478e4c5efddfc48a86877)
+++ src/templates/Honeygrid/module/create_account.html	(revision )
@@ -279,14 +279,15 @@
 			{$txt.title_address}
 		</legend>
 
-		<div class="form-group{if $form_data.street_address.required == '1'} mandatory{/if}{if $error_street} has-feedback has-error{/if}">
+		<div class="form-group{if $form_data.street_address.required == '1' || $form_data.house_number.required == '1'} mandatory{/if}">
 
+			{if $split_street_information == '1'}
+				<div {if $error_street || $error_house_number}class="has-feedback has-error"{/if}>
-			<label for="{$form_data.street_address.name}" class="control-label col-sm-3">
-				{$txt.text_street_number}
-			</label>
+					<label for="{$form_data.street_address.name}" class="control-label col-sm-3">
+						{$txt.text_street_number}
+					</label>
-
-			{if $split_street_information == '1'}
-				<div class="col-sm-6 col-lg-4 input-container">
+				</div>
+				<div class="col-sm-6 col-lg-4 input-container {if $error_street} has-feedback has-error{/if}">
 					<input type="text"
 						   placeholder="{$txt.text_street}"
 						   id="{$form_data.street_address.name}"
@@ -299,7 +300,7 @@
 					{/if}
 				</div>
 
-				<div class="col-sm-3 col-lg-2 input-container">
+				<div class="col-sm-3 col-lg-2 input-container {if $error_house_number} has-feedback has-error{/if}">
 					<input type="text"
 						   placeholder="{$txt.text_house_number}"
 						   id="{$form_data.house_number.name}"
@@ -312,7 +313,7 @@
 					{/if}
 				</div>
 			{else}
-				<div class="col-sm-9 col-lg-6 input-container">
+				<div class="col-sm-9 col-lg-6 input-container {if $error_street} has-feedback has-error{/if}">
 					<input type="text"
 						   placeholder="{$txt.text_street_number}"
 						   id="{$form_data.street_address.name}"
\ No newline at end of file