Index: src/GXMainComponents/Controllers/HttpView/Admin/TemplateConfigurationController.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Controllers/HttpView/Admin/TemplateConfigurationController.inc.php	(revision 4508aeb51ad2b1932c92d5c2b395b6a150c192c1)
+++ src/GXMainComponents/Controllers/HttpView/Admin/TemplateConfigurationController.inc.php	(revision )
@@ -101,6 +101,7 @@
 			'GM_SHOW_WISHLIST'                        => gm_get_conf('GM_SHOW_WISHLIST') === 'true',
 			'GM_SPECIALS_STARTPAGE'                   => gm_get_conf('GM_SPECIALS_STARTPAGE'),
 			'GM_NEW_PRODUCTS_STARTPAGE'               => gm_get_conf('GM_NEW_PRODUCTS_STARTPAGE'),
+			'GM_TOP_PRODUCTS_STARTPAGE'               => is_numeric(gm_get_conf('GM_TOP_PRODUCTS_STARTPAGE')) ? gm_get_conf('GM_TOP_PRODUCTS_STARTPAGE') : 10,
 			'ENABLE_RATING'                           => gm_get_conf('ENABLE_RATING') === 'true',
 			'SHOW_RATING_IN_GRID_AND_LISTING'         => gm_get_conf('SHOW_RATING_IN_GRID_AND_LISTING') === 'true',
 			'ALWAYS_SHOW_CONTINUE_SHOPPING_BUTTON'    => gm_get_conf('ALWAYS_SHOW_CONTINUE_SHOPPING_BUTTON') === 'true',
@@ -159,6 +160,7 @@
 		$this->_store('GM_SHOW_WISHLIST', $this->_getPostData('GM_SHOW_WISHLIST'));
 		$this->_store('GM_SPECIALS_STARTPAGE', (int)$this->_getPostData('GM_SPECIALS_STARTPAGE'));
 		$this->_store('GM_NEW_PRODUCTS_STARTPAGE', (int)$this->_getPostData('GM_NEW_PRODUCTS_STARTPAGE'));
+		$this->_store('GM_TOP_PRODUCTS_STARTPAGE', (int)$this->_getPostData('GM_TOP_PRODUCTS_STARTPAGE'));
 		$this->_store('ENABLE_RATING', $this->_getPostData('ENABLE_RATING'));
 		$this->_store('SHOW_RATING_IN_GRID_AND_LISTING', $this->_getPostData('SHOW_RATING_IN_GRID_AND_LISTING'));
 		$this->_store('ALWAYS_SHOW_CONTINUE_SHOPPING_BUTTON', $this->_getPostData('ALWAYS_SHOW_CONTINUE_SHOPPING_BUTTON'));
\ No newline at end of file
Index: src/lang/english/original_sections/admin/template_configuration.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_sections/admin/template_configuration.lang.inc.php	(revision 4508aeb51ad2b1932c92d5c2b395b6a150c192c1)
+++ src/lang/english/original_sections/admin/template_configuration.lang.inc.php	(revision )
@@ -50,6 +50,7 @@
 	'MAIN_SHOW_QTY_TEXT' => 'Show quantity field (e. g. search results, manufacturer products)',
 	'MAIN_VIEW_MODE_TILED_TEXT' => 'Tiled article listing (e. g. search results, manufacturer products)',
 	'NEW_PRODUCTS_STARTPAGE_TEXT' => 'Maximum count of new products on startpage',
+	'TOP_PRODUCTS_STARTPAGE_TEXT' => 'Maximum count of top products on startpage',
 	'NO_STYLE_EDIT' => 'StyleEdit is not installed.<br /><br />',
 	'NO_TEMPLATE_CONFIGURATION' => 'This template has no configuration settings.',
 	'RELOAD_PAGE_TEXT' => 'The settings were successfully saved. Would you like to reload the page?',
\ No newline at end of file
Index: src/admin/html/content/template_configuration.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/admin/html/content/template_configuration.html	(revision 4508aeb51ad2b1932c92d5c2b395b6a150c192c1)
+++ src/admin/html/content/template_configuration.html	(revision )
@@ -321,6 +321,16 @@
 					</div>
 				</td>
 			</tr>
+			<tr>
+			<td class="dataTableContent_gm configuration-label">
+				{$txt.TOP_PRODUCTS_STARTPAGE_TEXT}
+			</td>
+			<td class="dataTableContent_gm">
+				<div class="gx-container" data-gx-widget="checkbox">
+					<input type="text" name="GM_TOP_PRODUCTS_STARTPAGE" value="{$GM_TOP_PRODUCTS_STARTPAGE}">
+				</div>
+			</td>
+			</tr>
 		</table>
 
 		{*
Index: src/system/classes/listing/TopProductsMainContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/listing/TopProductsMainContentView.inc.php	(revision 4508aeb51ad2b1932c92d5c2b395b6a150c192c1)
+++ src/system/classes/listing/TopProductsMainContentView.inc.php	(revision )
@@ -101,6 +101,13 @@
 			$t_group_check = ' AND p.group_permission_' . $this->customers_status_id . ' = 1 ';
 		}
 
+		$MAX_TOP_PRODUCTS = gm_get_conf('GM_TOP_PRODUCTS_STARTPAGE');
+
+		if(!is_numeric($MAX_TOP_PRODUCTS))
+		{
+			$MAX_TOP_PRODUCTS = 10;
+		}
+
 		$t_new_products_query = "SELECT 
 									products_id
 								FROM
@@ -111,7 +118,9 @@
 									" . $t_group_check . "
 									" . $t_fsk_lock . " 
 								ORDER BY 
-									p.products_startpage_sort ASC";
+									p.products_startpage_sort ASC,
+									RAND()
+									LIMIT ". $MAX_TOP_PRODUCTS;
 
 		return $t_new_products_query;
 	}
\ No newline at end of file
Index: src/lang/german/original_sections/admin/template_configuration.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_sections/admin/template_configuration.lang.inc.php	(revision 4508aeb51ad2b1932c92d5c2b395b6a150c192c1)
+++ src/lang/german/original_sections/admin/template_configuration.lang.inc.php	(revision )
@@ -51,6 +51,7 @@
 	'MAIN_SHOW_QTY_TEXT' => 'Mengeneingabefeld anzeigen (z. B. Suchergebnisse, Hersteller-Artikel)',
 	'MAIN_VIEW_MODE_TILED_TEXT' => 'Gekachelte Artikelauflistung (z. B. Suchergebnisse, Hersteller-Artikel)',
 	'NEW_PRODUCTS_STARTPAGE_TEXT' => 'Anzahl der neuen Artikel auf der Startseite',
+	'TOP_PRODUCTS_STARTPAGE_TEXT' => 'Anzahl der Empfehlungen auf der Startseite',
 	'NO_STYLE_EDIT' => 'Das Modul zum Bearbeiten des Shoplayouts (StyleEdit) ist nicht installiert.<br /><br />',
 	'NO_TEMPLATE_CONFIGURATION' => 'Dieses Template hat keine Konfigurationseinstellungen.',
 	'RELOAD_PAGE_TEXT' => 'Die Einstellungen wurden erfolgreich gespeichert. Möchten Sie die Seite neu laden, um die Änderungen zu sehen?',
\ No newline at end of file