Index: src/templates/Honeygrid/boxes/box_filter_form_content.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/boxes/box_filter_form_content.html	(revision 04553b16185e06a06b7f6e0cf6611716d569b243)
+++ src/templates/Honeygrid/boxes/box_filter_form_content.html	(revision )
@@ -79,14 +79,14 @@
 		{/block}
 	
 		<input type="hidden" name="filter_url" value="{$content_data.FILTER_URL}" />
-		{load_env_array source='get' name='ENV_GET_DATA' exclude=$EXCLUDE_GET_PARAMS}
+		{load_env_array source='get' name='ENV_GET_DATA' exclude=$content_data.EXCLUDE_GET_PARAMS}
 		{foreach name=hidden_params key=param_key item=param_value from=$ENV_GET_DATA}
 			{if $param_key != 'feature_categories_id' && $param_key != 'filter_url' && $param_key != 'module' && $param_key != 'action' && $param_key != 'gm_boosted_product'}
 				<input type="hidden" name="{$param_key}" value="{$param_value}" />
 			{/if}
 		{/foreach}
 	
-		{load_env_array source='post' name='ENV_GET_DATA_POST' exclude=$EXCLUDE_POST_PARAMS}
+		{load_env_array source='post' name='ENV_GET_DATA_POST' exclude=$content_data.EXCLUDE_POST_PARAMS}
 		{foreach name=hidden_params key=param_key item=param_value from=$ENV_GET_DATA_POST}
 			{if $param_key != 'feature_categories_id' && $param_key != 'filter_url' && $param_key != 'module' && $param_key != 'action'}
 				<input type="hidden" name="{$param_key}" value="{$param_value}" />
\ No newline at end of file
Index: src/system/classes/filter/FilterBoxContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/filter/FilterBoxContentView.inc.php	(revision 04553b16185e06a06b7f6e0cf6611716d569b243)
+++ src/system/classes/filter/FilterBoxContentView.inc.php	(revision )
@@ -156,18 +156,6 @@
 			$t_coo_content_view = MainFactory::create_object('ContentView');
 			$t_coo_content_view->set_content_template('module/filter_selection/' . $t_template);
 
-			if(gm_get_conf('GM_SEO_BOOST_CATEGORIES') == '1')
-			{
-				$t_coo_content_view->set_content_data('EXCLUDE_GET_PARAMS', 'cPath,cat,gm_boosted_category,filter_fv_id,value_conjunction,filter_price_min,filter_price_max,do,value_conjunction,page_token');
-				$t_coo_content_view->set_content_data('EXCLUDE_POST_PARAMS', 'cPath,cat,gm_boosted_category,filter_fv_id,price_start,price_end,feature_values,filter_categories_id,filter_price_min,filter_price_max,do,value_conjunction,page_token');
-			}
-			else
-			{
-				$t_coo_content_view->set_content_data('EXCLUDE_GET_PARAMS', 'filter_fv_id,value_conjunction,filter_price_min,filter_price_max,do,value_conjunction,page_token');
-				$t_coo_content_view->set_content_data('EXCLUDE_POST_PARAMS', 'filter_fv_id,price_start,price_end,feature_values,filter_categories_id,filter_price_min,filter_price_max,do,value_conjunction,page_token');
-			}
-
-
 			$t_coo_content_view->set_content_data('FEATURE_NAME', $t_feature_name);
 			$t_coo_content_view->set_content_data('FEATURE_VALUE_DATA', $t_feature_value_data_array);
 			$t_coo_content_view->set_content_data('FEATURE_ID', $t_feature_id);
@@ -266,6 +254,18 @@
 
 		$this->set_content_data('PRICE_FILTER_FROM_ACTIVE', gm_get_conf('PRICE_FILTER_FROM_ACTIVE'));
 		$this->set_content_data('PRICE_FILTER_TO_ACTIVE', gm_get_conf('PRICE_FILTER_TO_ACTIVE'));
+
+		if(gm_get_conf('GM_SEO_BOOST_CATEGORIES') == 'true')
+		{
+			$t_coo_content_view->set_content_data('EXCLUDE_GET_PARAMS', 'cat,gm_boosted_category,filter_fv_id,value_conjunction,filter_price_min,filter_price_max,do,value_conjunction,page_token');
+			$t_coo_content_view->set_content_data('EXCLUDE_POST_PARAMS', 'cat,gm_boosted_category,filter_fv_id,price_start,price_end,feature_values,filter_categories_id,filter_price_min,filter_price_max,do,value_conjunction,page_token');
+		}
+		else
+		{
+			$t_coo_content_view->set_content_data('EXCLUDE_GET_PARAMS', 'filter_fv_id,value_conjunction,filter_price_min,filter_price_max,do,value_conjunction,page_token');
+			$t_coo_content_view->set_content_data('EXCLUDE_POST_PARAMS', 'filter_fv_id,price_start,price_end,feature_values,filter_categories_id,filter_price_min,filter_price_max,do,value_conjunction,page_token');
+		}
+
 	}
 
 
\ No newline at end of file