Index: src/lang/english/original_mail_templates/withdrawal_confirmation.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_mail_templates/withdrawal_confirmation.html	(revision 2dceb27f92698d88788f0d499353f1dc47c98c10)
+++ src/lang/english/original_mail_templates/withdrawal_confirmation.html	(revision )
@@ -1,4 +1,3 @@
-{load_language_text section="withdrawal"}
 <meta charset="UTF-8" />
 <div style="margin: 0 !important; padding: 0 !important; max-width: 9000px !important; font-family: arial, verdana, sans-serif; background-color: #e5e5e5; height: 100%">
 	<div style="margin-left: auto; margin-right: auto; width: 720px; padding-bottom: 5px; padding-top: 5px; font-size: 9pt; color: #999999; text-align: right;">&nbsp;</div>
@@ -16,15 +15,15 @@
 				<tr>
 					<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px">
 						<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-							<strong>{$txt.customer_greeting}</strong><br />
+							<strong>Dear customer,</strong><br />
 							<br />
-							{$txt.process_cancellation}
+							we have received the following cancellation, which we will process as quickly as possible:
 						</span></span>
 
 						<div style="font-style: italic">
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{$txt.withdrawal_to}:
+									Withdraw to:
 								</span></span>
 							</p>
 
@@ -36,14 +35,14 @@
 									{$smarty.const.TRADER_ZIPCODE} {$smarty.const.TRADER_LOCATION}<br />
 									{$smarty.const.STORE_COUNTRY_NAME}<br />
 									<br />
-									{if $smarty.const.TRADER_FAX != ''}{$txt.fax}: {$smarty.const.TRADER_FAX}<br />{/if} 
-									{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}{$txt.mail}: <a href="mailto:{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}">{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}</a><br />{/if}
+									{if $smarty.const.TRADER_FAX != ''}Fax: {$smarty.const.TRADER_FAX}<br />{/if}
+									{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}E-Mail: <a href="mailto:{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}">{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}</a><br />{/if}
 								</span></span>
 							</p>
 
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{$txt.withdrawal_yourData}:
+									Your data:
 								</span></span>
 							</p>
 
@@ -59,14 +58,14 @@
 
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{if $ORDER_DATE}{$txt.order_date}: {$ORDER_DATE}<br />
-									{/if} {if $DELIVERY_DATE}{$txt.deliverydate_t}: {$DELIVERY_DATE}<br />
-									{/if} {$txt.withdrawal_date}: {$WITHDRAWAL_DATE}
+									{if $ORDER_DATE}Order date: {$ORDER_DATE}<br />
+									{/if} {if $DELIVERY_DATE}Delivery date: {$DELIVERY_DATE}<br />
+									{/if} Withdrawal date: {$WITHDRAWAL_DATE}
 								</span></span>
 							</p>
 
 							<p>
-								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">{$txt.withdrawal}:</span></span>
+								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">Withdrawal:</span></span>
 							</p>
 
 							<p>
Index: src/lang/english/original_mail_templates/withdrawal_confirmation.txt
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/english/original_mail_templates/withdrawal_confirmation.txt	(revision 2dceb27f92698d88788f0d499353f1dc47c98c10)
+++ src/lang/english/original_mail_templates/withdrawal_confirmation.txt	(revision )
@@ -1,9 +1,8 @@
-{load_language_text section="withdrawal"}
-{$txt.customer_greeting}
+Dear customer,
 
-{$txt.process_cancellation}
+we have received the following cancellation, which we will process as quickly as possible:
 
-{$txt.withdrawal_to}:
+Withdraw to:
 
 {$smarty.const.COMPANY_NAME}
 {$smarty.const.TRADER_FIRSTNAME} {$smarty.const.TRADER_NAME}
@@ -11,13 +10,13 @@
 {$smarty.const.TRADER_ZIPCODE} {$smarty.const.TRADER_LOCATION}
 {$smarty.const.STORE_COUNTRY_NAME}
 
-{if $smarty.const.TRADER_FAX != ''}{$txt.fax}: {$smarty.const.TRADER_FAX}{/if}
+{if $smarty.const.TRADER_FAX != ''}Fax: {$smarty.const.TRADER_FAX}{/if}
 
-{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}{$txt.mail}: {$smarty.const.STORE_OWNER_EMAIL_ADDRESS}{/if}
+{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}E-Mail: {$smarty.const.STORE_OWNER_EMAIL_ADDRESS}{/if}
 
 
 
-{$txt.withdrawal_yourData}:
+Your data:
 
 {$CUSTOMER_GENDER}
 {$CUSTOMER_NAME}
@@ -25,12 +24,12 @@
 {$CUSTOMER_POSTCODE} {$CUSTOMER_CITY}
 {$CUSTOMER_COUNTRY}
 
-{if $ORDER_DATE}{$txt.order_date}: {$ORDER_DATE}{/if}
-{if $DELIVERY_DATE}{$txt.deliverydate_t}: {$DELIVERY_DATE}{/if}
+{if $ORDER_DATE}Order date: {$ORDER_DATE}{/if}
+{if $DELIVERY_DATE}Delivery date: {$DELIVERY_DATE}{/if}
 
-{$txt.withdrawal_date}: {$WITHDRAWAL_DATE}
+Withdrawal date: {$WITHDRAWAL_DATE}
 
-{$txt.withdrawal}:
+Withdrawal:
 {$WITHDRAWAL_CONTENT}
 
 
Index: src/lang/german/original_mail_templates/withdrawal_confirmation.txt
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_mail_templates/withdrawal_confirmation.txt	(revision 2dceb27f92698d88788f0d499353f1dc47c98c10)
+++ src/lang/german/original_mail_templates/withdrawal_confirmation.txt	(revision )
@@ -1,9 +1,8 @@
-{load_language_text section="withdrawal"}
-{$txt.customer_greeting}
+Sehr geehrter Kunde,
 
-{$txt.process_cancellation}
+folgenden Widerruf haben wir erhalten und werden ihn schnellstmöglich bearbeiten:
 
-{$txt.withdrawal_to}:
+Widerruf an:
 
 {$smarty.const.COMPANY_NAME}
 {$smarty.const.TRADER_FIRSTNAME} {$smarty.const.TRADER_NAME}
@@ -11,13 +10,13 @@
 {$smarty.const.TRADER_ZIPCODE} {$smarty.const.TRADER_LOCATION}
 {$smarty.const.STORE_COUNTRY_NAME}
 
-{if $smarty.const.TRADER_FAX != ''}{$txt.fax}: {$smarty.const.TRADER_FAX}{/if}
+{if $smarty.const.TRADER_FAX != ''}Fax: {$smarty.const.TRADER_FAX}{/if}
 
-{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}{$txt.mail}: {$smarty.const.STORE_OWNER_EMAIL_ADDRESS}{/if}
+{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}E-Mail: {$smarty.const.STORE_OWNER_EMAIL_ADDRESS}{/if}
 
 
 
-{$txt.withdrawal_yourData}:
+Ihre Daten:
 
 {$CUSTOMER_GENDER}
 {$CUSTOMER_NAME}
@@ -25,12 +24,12 @@
 {$CUSTOMER_POSTCODE} {$CUSTOMER_CITY}
 {$CUSTOMER_COUNTRY}
 
-{if $ORDER_DATE}{$txt.order_date}: {$ORDER_DATE}{/if}
-{if $DELIVERY_DATE}{$txt.deliverydate_t}: {$DELIVERY_DATE}{/if}
+{if $ORDER_DATE}Bestelldatum: {$ORDER_DATE}{/if}
+{if $DELIVERY_DATE}Lieferdatum: {$DELIVERY_DATE}{/if}
 
-{$txt.withdrawal_date}: {$WITHDRAWAL_DATE}
+Widerrufsdatum: {$WITHDRAWAL_DATE}
 
-{$txt.withdrawal}:
+Widerruf:
 {$WITHDRAWAL_CONTENT}
 
 
Index: src/lang/german/original_mail_templates/withdrawal_confirmation.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_mail_templates/withdrawal_confirmation.html	(revision 2dceb27f92698d88788f0d499353f1dc47c98c10)
+++ src/lang/german/original_mail_templates/withdrawal_confirmation.html	(revision )
@@ -1,4 +1,3 @@
-{load_language_text section="withdrawal"}
 <meta charset="UTF-8" />
 <div style="margin: 0 !important; padding: 0 !important; max-width: 9000px !important; font-family: arial, verdana, sans-serif; background-color: #e5e5e5; height: 100%">
 	<div style="margin-left: auto; margin-right: auto; width: 720px; padding-bottom: 5px; padding-top: 5px; font-size: 9pt; color: #999999; text-align: right;">&nbsp;</div>
@@ -16,15 +15,15 @@
 				<tr>
 					<td style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px">
 						<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-							<strong>{$txt.customer_greeting}</strong><br />
+							<strong>Sehr geehrter Kunde,</strong><br />
 							<br />
-							{$txt.process_cancellation}
+							folgenden Widerruf haben wir erhalten und werden ihn schnellstmöglich bearbeiten:
 						</span></span>
 
 						<div style="font-style: italic">
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{$txt.withdrawal_to}:
+									Widerruf an:
 								</span></span>
 							</p>
 
@@ -36,14 +35,14 @@
 									{$smarty.const.TRADER_ZIPCODE} {$smarty.const.TRADER_LOCATION}<br />
 									{$smarty.const.STORE_COUNTRY_NAME}<br />
 									<br />
-									{if $smarty.const.TRADER_FAX != ''}{$txt.fax}: {$smarty.const.TRADER_FAX}<br />{/if} 
-									{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}{$txt.mail}: <a href="mailto:{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}">{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}</a><br />{/if}
+									{if $smarty.const.TRADER_FAX != ''}Fax: {$smarty.const.TRADER_FAX}<br />{/if}
+									{if $smarty.const.STORE_OWNER_EMAIL_ADDRESS != ''}E-Mail: <a href="mailto:{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}">{$smarty.const.STORE_OWNER_EMAIL_ADDRESS}</a><br />{/if}
 								</span></span>
 							</p>
 
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{$txt.withdrawal_yourData}:
+									Ihre Daten:
 								</span></span>
 							</p>
 
@@ -59,14 +58,14 @@
 
 							<p>
 								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">
-									{if $ORDER_DATE}{$txt.order_date}: {$ORDER_DATE}<br />
-									{/if} {if $DELIVERY_DATE}{$txt.deliverydate_t}: {$DELIVERY_DATE}<br />
-									{/if} {$txt.withdrawal_date}: {$WITHDRAWAL_DATE}
+									{if $ORDER_DATE}Bestelldatum: {$ORDER_DATE}<br />
+									{/if} {if $DELIVERY_DATE}Lieferdatum: {$DELIVERY_DATE}<br />
+									{/if} Widerrufsdatum: {$WITHDRAWAL_DATE}
 								</span></span>
 							</p>
 
 							<p>
-								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">{$txt.withdrawal}:</span></span>
+								<span style="font-size:13px;"><span style="font-family: verdana,geneva,sans-serif;">Widerruf:</span></span>
 							</p>
 
 							<p>