Index: src/GXMainComponents/Controllers/HttpView/ShopAjax/FilterController.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Controllers/HttpView/ShopAjax/FilterController.inc.php	(revision 80947b4cf5fbe9fafb416590376ccf256a0eef8a)
+++ src/GXMainComponents/Controllers/HttpView/ShopAjax/FilterController.inc.php	(date 1516196665000)
@@ -163,7 +163,8 @@
 			$filterManager->reset();
 		}
 		
-		if($listingContentControl->determine_category_depth() === 'top')
+		if($listingContentControl->determine_category_depth() === 'top' 
+		   && strpos($_GET['filter_url'], 'advanced_search_result.php') === false)
 		{
 			$result = array(
 				'success'  => true,
Index: src/GXModules/Gambio/Hub/Shop/Overloads/payment/GambioHubPayment.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXModules/Gambio/Hub/Shop/Overloads/payment/GambioHubPayment.inc.php	(revision 91f4c90c330b5db88f537f50dd19d6733ec37be1)
+++ src/GXModules/Gambio/Hub/Shop/Overloads/payment/GambioHubPayment.inc.php	(date 1515505670000)
@@ -1,9 +1,9 @@
 <?php
 /* --------------------------------------------------------------
-   GambioHubPayment.inc.php 2017-10-05
+   GambioHubPayment.inc.php 2018-01-08
    Gambio GmbH
    http://www.gambio.de
-   Copyright (c) 2017 Gambio GmbH
+   Copyright (c) 2018 Gambio GmbH
    Released under the GNU General Public License (Version 2)
    [http://www.gnu.org/licenses/gpl-2.0.html]
    --------------------------------------------------------------
@@ -32,6 +32,11 @@
 	 */
 	protected $moneyOrderModuleCode = 'MoneyOrderHub';
 	
+	/**
+	 * @var array
+	 */
+	protected $allowedPaymentModules;
+	
 	
 	/**
 	 * Module selection method overload.
@@ -281,22 +286,27 @@
 	 */
 	protected function _getHubPaymentModules()
 	{
+		if($this->allowedPaymentModules !== null)
+		{
+			return $this->allowedPaymentModules;
+		}
+		
 		$helper = MainFactory::create('HubCheckoutHelper');
 		
 		// Hub transactions API client.
 		$hubTransactionsApiClient = $helper->createHubTransactionsApiClient(new HubSessionKey($_SESSION['gambio_hub_session_key']));
 		
-		$cartContent              = $helper->getCartContent($GLOBALS['order']);
-		$customerInformation      = $helper->getCustomerInformation($GLOBALS['order']);
-		$hubClientInformation     = $helper->getHubClientInformation();
-		$clientSessionInformation = $helper->getClientSessionInformation($GLOBALS['order']);
-		$allowedPaymentModules    = $hubTransactionsApiClient->getAllowedPaymentModules($cartContent,
-		                                                                                $customerInformation,
-		                                                                                $hubClientInformation,
-		                                                                                $clientSessionInformation,
-		                                                                                $this->_getUnallowedModuleCodes());
+		$cartContent                 = $helper->getCartContent($GLOBALS['order']);
+		$customerInformation         = $helper->getCustomerInformation($GLOBALS['order']);
+		$hubClientInformation        = $helper->getHubClientInformation();
+		$clientSessionInformation    = $helper->getClientSessionInformation($GLOBALS['order']);
+		$this->allowedPaymentModules = $hubTransactionsApiClient->getAllowedPaymentModules($cartContent,
+		                                                                                   $customerInformation,
+		                                                                                   $hubClientInformation,
+		                                                                                   $clientSessionInformation,
+		                                                                                   $this->_getUnallowedModuleCodes());
 		
-		return $allowedPaymentModules;
+		return $this->allowedPaymentModules;
 	}
 	
 	
Index: src/system/classes/filter/FilterBoxContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/filter/FilterBoxContentView.inc.php	(revision 80947b4cf5fbe9fafb416590376ccf256a0eef8a)
+++ src/system/classes/filter/FilterBoxContentView.inc.php	(date 1516196642000)
@@ -1,9 +1,9 @@
 <?php
 /* --------------------------------------------------------------
-  FilterBoxContentView.inc.php 2017-10-06
+  FilterBoxContentView.inc.php 2018-01-17
   Gambio GmbH
   http://www.gambio.de
-  Copyright (c) 2017 Gambio GmbH
+  Copyright (c) 2018 Gambio GmbH
   Released under the GNU General Public License (Version 2)
   [http://www.gnu.org/licenses/gpl-2.0.html]
   --------------------------------------------------------------
@@ -215,7 +215,11 @@
 		elseif($t_action_url === '')
 		{
 			$t_action_url = '';
-			if(gm_get_conf('SUPPRESS_INDEX_IN_URL') !== 'true')
+			if(strpos(gm_get_env_info('REQUEST_URI'), 'advanced_search_result.php') !== false)
+			{
+				$t_action_url = 'advanced_search_result.php';
+			}
+			elseif(gm_get_conf('SUPPRESS_INDEX_IN_URL') !== 'true')
 			{
 				$t_action_url = 'index.php';
 			}
Index: src/system/classes/listing/ProductListingContentControl.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/listing/ProductListingContentControl.inc.php	(revision 80947b4cf5fbe9fafb416590376ccf256a0eef8a)
+++ src/system/classes/listing/ProductListingContentControl.inc.php	(date 1516196728000)
@@ -1,9 +1,9 @@
 <?php
 /* --------------------------------------------------------------
-   ProductListingContentControl.inc.php 2017-10-05
+   ProductListingContentControl.inc.php 2018-01-17
    Gambio GmbH
    http://www.gambio.de
-   Copyright (c) 2017 Gambio GmbH
+   Copyright (c) 2018 Gambio GmbH
    Released under the GNU General Public License (Version 2)
    [http://www.gnu.org/licenses/gpl-2.0.html]
    --------------------------------------------------------------
@@ -170,6 +170,15 @@
 			switch($p_action)
 			{
 				case 'search_result':
+					$this->init_feature_filter();
+					
+					// get feature_value_groups from FilterManager
+					$t_feature_value_group_array = $this->coo_filter_manager->get_feature_value_group_array();
+					$coo_filter_selection_content_view = MainFactory::create_object('FilterSelectionContentView');
+					$coo_filter_selection_content_view->set_('feature_value_group_array', $t_feature_value_group_array);
+					$coo_filter_selection_content_view->set_('language_id', $_SESSION['languages_id']);
+					$this->filter_selection_html = $coo_filter_selection_content_view->get_html();
+					
 					$this->build_search_result_sql();
 
 					break;
Index: src/templates/Honeygrid/javascript/engine/widgets/filter.js
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/javascript/engine/widgets/filter.js	(revision 91f4c90c330b5db88f537f50dd19d6733ec37be1)
+++ src/templates/Honeygrid/javascript/engine/widgets/filter.js	(date 1516196593000)
@@ -1,8 +1,8 @@
 /* --------------------------------------------------------------
- filter.js 2017-03-17
+ filter.js 2018-01-17
  Gambio GmbH
  http://www.gambio.de
- Copyright (c) 2017 Gambio GmbH
+ Copyright (c) 2018 Gambio GmbH
  Released under the GNU General Public License (Version 2)
  [http://www.gnu.org/licenses/gpl-2.0.html]
  --------------------------------------------------------------
@@ -246,6 +246,10 @@
 					}
 				}
 				
+				if (location.href.search(/advanced_search_result\.php/g) !== -1) {
+					$('h1').css('visibility', 'hidden');
+				}
+				
 				// reinitialize widgets in updated DOM
 				window.gambio.widgets.init($this);
 				
Index: src/advanced_search_result.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/advanced_search_result.php	(revision 80947b4cf5fbe9fafb416590376ccf256a0eef8a)
+++ src/advanced_search_result.php	(date 1516196625000)
@@ -1,6 +1,6 @@
 <?php
 /* --------------------------------------------------------------
-  advanced_search_result.php 2016-09-21
+  advanced_search_result.php 2018-01-17
   Gambio GmbH
   http://www.gambio.de
   Copyright (c) 2016 Gambio GmbH
@@ -80,6 +80,7 @@
 	$coo_listing_control->set_('categories_id', $_GET['categories_id']);
 }
 
+$coo_listing_control->set_('coo_filter_manager', $_SESSION['coo_filter_manager']);
 $coo_listing_control->set_('coo_product', $GLOBALS['product']);
 $coo_listing_control->set_('currency_code', $_SESSION['currency']);
 $coo_listing_control->set_('current_category_id', $GLOBALS['current_category_id']);