Index: src/admin/includes/gm/gm_counter/gm_counter_submenu.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/admin/includes/gm/gm_counter/gm_counter_submenu.php	(revision de5efa11b8ec54f57e8376cd37ebc178dbb56f5b)
+++ src/admin/includes/gm/gm_counter/gm_counter_submenu.php	(date 1521465909000)
@@ -17,9 +17,9 @@
 if($_GET['action'] == 'gm_box_submenu_visitor') {
 ?>
 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=daily');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', null, false)"><?php echo MENU_TITLE_DAILY; ?></a> 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=monthly');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', null, false)"><?php echo MENU_TITLE_MONTHLY; ?></a> 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=yearly');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', null, false)"><?php echo MENU_TITLE_YEARLY; ?></a> 
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=daily');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_DAILY; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=monthly');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_MONTHLY; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_visitor&subpage=yearly');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_visitor'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_YEARLY; ?></a>
 
 <?php 
 
@@ -27,8 +27,8 @@
 
 ?>
 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_pages&subpage=today');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_pages'); ?>', null, false)"><?php echo MENU_TITLE_TODAY; ?></a> 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_pages&subpage=all');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_pages'); ?>', null, false)"><?php echo MENU_TITLE_ALL; ?></a> 
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_pages&subpage=today');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_pages'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_TODAY; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_pages&subpage=all');	?>', 'gm_counter_pages', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_pages'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_ALL; ?></a>
 
 <?php 
 
@@ -36,11 +36,11 @@
 
 ?>
 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=1');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', null, false)"><?php echo MENU_TITLE_BROWSER; ?></a>
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=2');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', null, false)"><?php echo MENU_TITLE_PLATFORM; ?></a>
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=3');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', null, false)"><?php echo MENU_TITLE_RESOLUTION; ?></a>
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=4');	?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', null, false)"><?php echo MENU_TITLE_COLOR_DEPTH; ?></a> 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=5');	?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', null, false)"><?php echo MENU_TITLE_ORIGIN; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=1');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_BROWSER; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=2');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_PLATFORM; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=3');		?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_RESOLUTION; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=4');	?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_COLOR_DEPTH; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_user&subpage=5');	?>', 'gm_counter_user', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_user'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_ORIGIN; ?></a>
 
 <?php 
 
@@ -48,8 +48,8 @@
 
 ?>
 
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_search&subpage=intern');	?>', 'gm_counter_search', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_search'); ?>', null, false)"><?php echo MENU_TITLE_INTERN_SEARCH; ?></a>
-<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_search&subpage=extern');	?>', 'gm_counter_search', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_search'); ?>',  null,false)"><?php echo MENU_TITLE_EXTERN_SEARCH; ?></a> 
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_search&subpage=intern');	?>', 'gm_counter_search', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_search'); ?>', '<?php echo session_id(); ?>', false)"><?php echo MENU_TITLE_INTERN_SEARCH; ?></a>
+<a class="main" onclick="gm_get_content('<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_counter_search&subpage=extern');	?>', 'gm_counter_search', '<?php echo xtc_href_link('gm_counter_action.php', 'action=gm_box_submenu_search'); ?>',  '<?php echo session_id(); ?>',false)"><?php echo MENU_TITLE_EXTERN_SEARCH; ?></a>
 
 <?php 
 