Index: src/templates/Honeygrid/smarty/modifier.show_left_column.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/smarty/modifier.show_left_column.php	(revision 30827137a565fd22cbcbc60793d238656832d239)
+++ src/templates/Honeygrid/smarty/modifier.show_left_column.php	(date 1536248369000)
@@ -1,6 +1,6 @@
 <?php
 /* --------------------------------------------------------------
-   modifier.show_left_column.php 2018-04-30 tw@gambio
+   modifier.show_left_column.php 2018-09-06
    Gambio GmbH
    http://www.gambio.de
    Copyright (c) 2018 Gambio GmbH
@@ -16,29 +16,29 @@
     $applicationBottomExtenderComponent->init_page();
     $page = $applicationBottomExtenderComponent->get_page();
     
-    $showOnIndex          = $GLOBALS['coo_template_control']->findSettingValueByName('gx-index-full-width');
-    $showOnSearch         = $GLOBALS['coo_template_control']->findSettingValueByName('gx-advanced-search-result-full-width');
-    $showOnContent        = $GLOBALS['coo_template_control']->findSettingValueByName('gx-shop-content-full-width');
-    $showOnProductInfo    = $GLOBALS['coo_template_control']->findSettingValueByName('gx-product-info-full-width');
-    $showOnProductListing = $GLOBALS['coo_template_control']->findSettingValueByName('gx-product-listing-full-width');
-    $showOnCart           = $GLOBALS['coo_template_control']->findSettingValueByName('gx-shopping-cart-full-width');
-    $showOnWishlist       = $GLOBALS['coo_template_control']->findSettingValueByName('gx-wishlist-full-width');
-    $showOnCheckout       = $GLOBALS['coo_template_control']->findSettingValueByName('gx-checkout-full-width');
-    $showOnAccount        = $GLOBALS['coo_template_control']->findSettingValueByName('gx-account-full-width');
+    $hideOnIndex          = $GLOBALS['coo_template_control']->findSettingValueByName('gx-index-full-width');
+    $hideOnSearch         = $GLOBALS['coo_template_control']->findSettingValueByName('gx-advanced-search-result-full-width');
+    $hideOnContent        = $GLOBALS['coo_template_control']->findSettingValueByName('gx-shop-content-full-width');
+    $hideOnProductInfo    = $GLOBALS['coo_template_control']->findSettingValueByName('gx-product-info-full-width');
+    $hideOnProductListing = $GLOBALS['coo_template_control']->findSettingValueByName('gx-product-listing-full-width');
+    $hideOnCart           = $GLOBALS['coo_template_control']->findSettingValueByName('gx-shopping-cart-full-width');
+    $hideOnWishlist       = $GLOBALS['coo_template_control']->findSettingValueByName('gx-wishlist-full-width');
+    $hideOnCheckout       = $GLOBALS['coo_template_control']->findSettingValueByName('gx-checkout-full-width');
+    $hideOnAccount        = $GLOBALS['coo_template_control']->findSettingValueByName('gx-account-full-width');
     
-    if (($page === 'Index' && !$showOnIndex) 
-        || ($page === 'Search' && !$showOnSearch)
-        || ($page === 'Content' && !$showOnContent)
-        || ($page === 'ProductInfo' && !$showOnProductInfo)
-        || ($page === 'Cat' && !$showOnProductListing)
-        || ($page === 'Cart' && !$showOnCart)
-        || ($page === 'Wishlist' && !$showOnWishlist)
-        || ($page === 'Checkout' && !$showOnCheckout)
-        || (($page === 'Account' || $page === 'AccountHistory' || $page === 'AddressBookProcess') && !$showOnAccount)
+    if (($page === 'Index' && $hideOnIndex) 
+        || ($page === 'Search' && $hideOnSearch)
+        || ($page === 'Content' && $hideOnContent)
+        || ($page === 'ProductInfo' && $hideOnProductInfo)
+        || ($page === 'Cat' && $hideOnProductListing)
+        || ($page === 'Cart' && $hideOnCart)
+        || ($page === 'Wishlist' && $hideOnWishlist)
+        || ($page === 'Checkout' && $hideOnCheckout)
+        || (($page === 'Account' || $page === 'AccountHistory' || $page === 'AddressBookProcess') && $hideOnAccount)
     ) 
     {
-        return true;
-    }
-    
-    return false;
+        return false;
+    }
+    
+    return true;
 }
\ No newline at end of file