Index: src/system/classes/products/TellAFriendContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/products/TellAFriendContentView.inc.php	(revision 1c95cfa5cd9c227bd531ef79fab7aa7e053a10a8)
+++ src/system/classes/products/TellAFriendContentView.inc.php	(date 1540488021000)
@@ -460,8 +460,14 @@
 		
 		$text_html .= '<br><br>'. GM_TELL_A_FRIEND_EMAIL .': '.$this->email
 		             . '<br><br>'.htmlentities_wrapper(GM_TELL_A_FRIEND_MESSAGE) . ': ' . htmlentities_wrapper($message);
-
-		xtc_php_mail($email, $sender, STORE_OWNER_EMAIL_ADDRESS, STORE_NAME, '', $email, $sender, '', '', GM_TELL_A_FRIEND_SUBJECT_1 . '"'. $this->productName . '"', $text_html, html_entity_decode_wrapper($text));
+		
+		$from_email_address = $email;
+		if(SEND_EMAIL_BY_BILLING_ADRESS === 'SHOP_OWNER')
+		{
+			$from_email_address = EMAIL_BILLING_ADDRESS;
+		}
+		
+		xtc_php_mail($from_email_address, $sender, STORE_OWNER_EMAIL_ADDRESS, STORE_NAME, '', $email, $sender, '', '', GM_TELL_A_FRIEND_SUBJECT_1 . '"'. $this->productName . '"', $text_html, html_entity_decode_wrapper($text));
 		$this->set_content_data('MAIL_OUT', GM_TELL_A_FRIEND_MAIL_OUT);
 	}
 	
Index: src/system/classes/products/PriceOfferContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/products/PriceOfferContentView.inc.php	(revision 1c95cfa5cd9c227bd531ef79fab7aa7e053a10a8)
+++ src/system/classes/products/PriceOfferContentView.inc.php	(date 1540488012000)
@@ -438,9 +438,15 @@
 				. "\n" . GM_PRICE_OFFER_MAIL_PRICE . ' ' . $this->customer_data_array['price']
 				. "\n" . GM_PRICE_OFFER_MAIL_OFFERER . ' ' . $this->customer_data_array['offerer']
 				. "\n\n" . GM_PRICE_OFFER_MAIL_MESSAGE . "\n" . gm_prepare_string($this->customer_data_array['message']);
-
+		
+		$from_email_address = $this->customer_data_array['email'];
+		if(SEND_EMAIL_BY_BILLING_ADRESS === 'SHOP_OWNER')
+		{
+			$from_email_address = EMAIL_BILLING_ADDRESS;
+		}
+		
 		// send mail
-		xtc_php_mail($this->customer_data_array['email'], $this->customer_data_array['name'], STORE_OWNER_EMAIL_ADDRESS, STORE_NAME, '', $this->customer_data_array['email'], $this->customer_data_array['name'], '', '', GM_PRICE_OFFER_MAIL_SUBJECT . $this->product_data_array['products_name'], nl2br(htmlentities_wrapper($t_mail_content)), $t_mail_content);
+		xtc_php_mail($from_email_address, $this->customer_data_array['name'], STORE_OWNER_EMAIL_ADDRESS, STORE_NAME, '', $this->customer_data_array['email'], $this->customer_data_array['name'], '', '', GM_PRICE_OFFER_MAIL_SUBJECT . $this->product_data_array['products_name'], nl2br(htmlentities_wrapper($t_mail_content)), $t_mail_content);
 		$this->content_array['MAIL_OUT'] = GM_PRICE_OFFER_MAIL_OUT;
 	}
 }
\ No newline at end of file
Index: src/system/classes/external/ekomi/EkomiManager.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/external/ekomi/EkomiManager.inc.php	(revision 1c95cfa5cd9c227bd531ef79fab7aa7e053a10a8)
+++ src/system/classes/external/ekomi/EkomiManager.inc.php	(date 1540488010000)
@@ -286,8 +286,14 @@
 				$t_mail_plain = str_replace('{vorname}', $t_result_array['firstname'], $t_mail_plain);
 				$t_mail_plain = str_replace('{nachname}', $t_result_array['lastname'], $t_mail_plain);
 				$t_mail_plain = str_replace('{ekomilink}', $t_result_array['link'], $t_mail_plain);
-
-				$t_mail_sent = xtc_php_mail(	$this->v_settings_array['mail_from_email'],
+				
+				$from_email_address = $this->v_settings_array['mail_from_email'];
+				if(SEND_EMAIL_BY_BILLING_ADRESS === 'SHOP_OWNER')
+				{
+					$from_email_address = EMAIL_BILLING_ADDRESS;
+				}
+				
+				$t_mail_sent = xtc_php_mail($from_email_address,
 											$this->v_settings_array['mail_from_name'],
 											$t_result_array['email_address'],
 											$t_result_array['firstname'] . ' ' . $t_result_array['lastname'],