Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json	(date 1543218229000)
@@ -4,7 +4,7 @@
     "thumbnail": "style_3.png",
     "boilerplate": "boilerplate3",
     "creationDate": "2016-01-08 16:42:42",
-    "modificationDate": "2018-10-05 19:16:00",
+	"modificationDate": "2018-11-26 08:43:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -5378,6 +5378,33 @@
 		            "value": "darken($gx-product-info-button-border, 10%)",
 		            "tags": [
 			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-color",
+		            "type": "color",
+		            "value": "#FFFFFF",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-bg",
+		            "type": "color",
+		            "value": "#2EAE06",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-border",
+		            "type": "color",
+		            "value": "darken($gx-btn-calltoaction-bg, 5%)",
+		            "tags": [
+			            "color-background"
 		            ]
 	            },
 	            {
Index: src/templates/Honeygrid/styles/config/_variables.scss
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/styles/config/_variables.scss	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/templates/Honeygrid/styles/config/_variables.scss	(date 1543215777000)
@@ -156,6 +156,18 @@
 $gx-btn-calltoaction-bg-image-size:                auto !default;
 $gx-btn-calltoaction-bg-image-attachment:          scroll !default;
 
+// Price on request
+// applied to price-on-request button
+
+$gx-btn-price-on-request-color:                        $gx-btn-calltoaction-color !default;
+$gx-btn-price-on-request-bg:                           $gx-btn-calltoaction-bg !default;
+$gx-btn-price-on-request-border:                       darken($gx-btn-price-on-request-bg, 5%) !default;
+$gx-btn-price-on-request-bg-image-url:                 $gx-btn-calltoaction-bg-image-url !default;
+$gx-btn-price-on-request-bg-image-position:            $gx-btn-calltoaction-bg-image-url !default;
+$gx-btn-price-on-request-bg-image-repeat:              $gx-btn-calltoaction-bg-image-repeat !default;
+$gx-btn-price-on-request-bg-image-size:                $gx-btn-calltoaction-bg-image-size !default;
+$gx-btn-price-on-request-bg-image-attachment:          $gx-btn-calltoaction-bg-image-attachment !default;
+
 // Product-Info Button
 // for the buttons below the call to action button
 
Index: src/templates/Honeygrid/styles/modules/_buttons.scss
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/styles/modules/_buttons.scss	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/templates/Honeygrid/styles/modules/_buttons.scss	(date 1543066493000)
@@ -47,4 +47,21 @@
 			opacity: 0.5;
 		}
 	}
+	
+	&.btn-price-on-request {
+		@include  button-variant($gx-btn-price-on-request-color, $gx-btn-price-on-request-bg, $gx-btn-price-on-request-border);
+		@include background($gx-btn-price-on-request-bg,
+			$gx-btn-price-on-request-bg-image-url,
+			$gx-btn-price-on-request-bg-image-position,
+			$gx-btn-price-on-request-bg-image-repeat,
+			$gx-btn-price-on-request-bg-image-size,
+			$gx-btn-price-on-request-bg-image-attachment);
+		&:focus {
+			outline: none;
+		}
+		
+		&.inactive {
+			opacity: 0.5;
+		}
+	}
 }
\ No newline at end of file
Index: src/templates/Honeygrid/styles/modules/_product_info.scss
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/styles/modules/_product_info.scss	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/templates/Honeygrid/styles/modules/_product_info.scss	(date 1543219395000)
@@ -1050,3 +1050,7 @@
 		transform:         rotate(360deg);
 	}
 }
+
+.price-on-request {
+	width: 100%;
+}
\ No newline at end of file
Index: src/system/classes/products/AttributesAjaxHandler.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/products/AttributesAjaxHandler.inc.php	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/system/classes/products/AttributesAjaxHandler.inc.php	(date 1543219439000)
@@ -229,7 +229,7 @@
                                 . $sefParameter);
                         }
                         
-						$this->v_output_buffer .=  '<a href="' . $t_contact_url . '" class="price-on-request">' . GM_SHOW_PRICE_ON_REQUEST . '</a>'; 
+						$this->v_output_buffer .=  '<a href="' . $t_contact_url . '" class="btn btn-lg btn-price-on-request price-on-request">' . GM_SHOW_PRICE_ON_REQUEST . '</a>';
 					}
 					else 
 					{
Index: src/StyleEdit3/templates/Honeygrid/lang/de.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/lang/de.json	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/StyleEdit3/templates/Honeygrid/lang/de.json	(date 1543216734000)
@@ -624,6 +624,9 @@
 	"gx-btn-calltoaction-bg-image-repeat": "Hintergrundbild Wiederholung Kaufen-Button",
 	"gx-btn-calltoaction-bg-image-size": "Hintergrundbild Größe Kaufen-Button",
 	"gx-btn-calltoaction-bg-image-attachment": "Hintergrundbild Eigenschaften Kaufen-Button",
+	"gx-btn-price-on-request-color": "Farbe Preis auf Anfrage Button",
+	"gx-btn-price-on-request-bg": "Hintergrund Preis auf Anfrage Button",
+	"gx-btn-price-on-request-border": "Rahmen Preis auf Anfrage Button",
 
 	"ribbons": "Ribbons",
 	"gx-ribbon-new-active": "Neu anzeigen",
Index: src/StyleEdit3/templates/Honeygrid/lang/en.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/lang/en.json	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/StyleEdit3/templates/Honeygrid/lang/en.json	(date 1543217684000)
@@ -622,6 +622,9 @@
 	"gx-btn-calltoaction-bg-image-repeat": "Background Image Repeat Buy Button",
 	"gx-btn-calltoaction-bg-image-size": "Background Image Size Buy Button",
 	"gx-btn-calltoaction-bg-image-attachment": "Background Image Attachment Buy Button",
+	"gx-btn-price-on-request-color": "Color Price on request Button",
+	"gx-btn-price-on-request-bg": "Background Price on request Button",
+	"gx-btn-price-on-request-border": "Border Price on request Button",
 
 	"ribbons": "Ribbons",
 	"gx-ribbon-new-active": "Show New",
Index: src/system/classes/products/ProductInfoContentView.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/system/classes/products/ProductInfoContentView.inc.php	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/system/classes/products/ProductInfoContentView.inc.php	(date 1543219077000)
@@ -1119,8 +1119,7 @@
 				                            . $sefParameter);
 			}
 
-			$contactLinkHtml = '<a href="' . $contactUrl . '" class="price-on-request">' . GM_SHOW_PRICE_ON_REQUEST
-			                   . '</a>';
+			$contactLinkHtml = '<a href="' . $contactUrl . '" class="btn btn-lg btn-price-on-request price-on-request">' . GM_SHOW_PRICE_ON_REQUEST . '</a>';
 
 			$this->set_content_data('PRODUCTS_PRICE', $contactLinkHtml);
 		}
Index: src/GXMainComponents/Controllers/HttpView/ShopAjax/CheckStatusController.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/GXMainComponents/Controllers/HttpView/ShopAjax/CheckStatusController.inc.php	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/GXMainComponents/Controllers/HttpView/ShopAjax/CheckStatusController.inc.php	(date 1543219439000)
@@ -614,7 +614,7 @@
 				                            'coID=7&subject=' . rawurlencode($subject) . $sefParameter);
 			}
 			
-			$price = '<a href="' . $contactUrl . '" class="price-on-request">' . GM_SHOW_PRICE_ON_REQUEST . '</a>';
+			$price = '<a href="' . $contactUrl . '" class="btn btn-lg btn-price-on-request price-on-request">' . GM_SHOW_PRICE_ON_REQUEST . '</a>';
 		}
 		
 		return $price;
Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json	(date 1543218205000)
@@ -4,7 +4,7 @@
     "thumbnail": "style_1.png",
     "boilerplate": "boilerplate1",
     "creationDate": "2016-01-08 16:42:42",
-    "modificationDate": "2018-10-05 19:16:00",
+    "modificationDate": "2018-11-26 08:43:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -908,15 +908,6 @@
                     "value": "#2eae06",
                     "tags": [
                         "color-background"
-                    ]
-                },
-                {
-                    "group": "template",
-                    "name": "gx-btn-calltoaction-border",
-                    "type": "color",
-                    "value": "darken($gx-btn-calltoaction-bg, 5%)",
-                    "tags": [
-                        "color-background"
                     ]
                 },
                 {
@@ -5387,6 +5378,33 @@
 		            "value": "darken($gx-product-info-button-border, 10%)",
 		            "tags": [
 			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-color",
+		            "type": "color",
+		            "value": "#FFFFFF",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-bg",
+		            "type": "color",
+		            "value": "#2EAE06",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-border",
+		            "type": "color",
+		            "value": "darken($gx-btn-calltoaction-bg, 5%)",
+		            "tags": [
+			            "color-background"
 		            ]
 	            },
 	            {
Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json	(revision 0ff756df74bf7549b11478e9371cb9351a566b54)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json	(date 1543218229000)
@@ -4,7 +4,7 @@
     "thumbnail": "style_2.png",
     "boilerplate": "boilerplate2",
     "creationDate": "2016-01-08 16:42:42",
-	"modificationDate": "2018-10-05 19:16:00",
+	"modificationDate": "2018-11-26 08:43:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -5378,6 +5378,33 @@
 		            "value": "darken($gx-product-info-button-border, 10%)",
 		            "tags": [
 			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-color",
+		            "type": "color",
+		            "value": "#FFFFFF",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-bg",
+		            "type": "color",
+		            "value": "#2EAE06",
+		            "tags": [
+			            "color-background"
+		            ]
+	            },
+	            {
+		            "group": "template",
+		            "name": "gx-btn-price-on-request-border",
+		            "type": "color",
+		            "value": "darken($gx-btn-calltoaction-bg, 5%)",
+		            "tags": [
+			            "color-background"
 		            ]
 	            },
 	            {