Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_1.json	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -4,7 +4,7 @@
     "thumbnail": "style_1.png",
     "boilerplate": "boilerplate1",
     "creationDate": "2016-01-08 16:42:42",
-    "modificationDate": "2018-11-26 08:43:00",
+    "modificationDate": "2018-11-27 13:53:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -5136,6 +5136,16 @@
                     "defaultMetric": "px",
                     "tags": [
                         "layout"
+                    ]
+                },
+                {
+                    "group": "template",
+                    "name": "gx-rating-height",
+                    "type": "text",
+                    "value": "30px",
+                    "defaultMetric": "px",
+                    "tags": [
+                        "layout"
                     ]
                 },
                 {
Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_2.json	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -4,7 +4,7 @@
     "thumbnail": "style_2.png",
     "boilerplate": "boilerplate2",
     "creationDate": "2016-01-08 16:42:42",
-	"modificationDate": "2018-11-26 08:43:00",
+	"modificationDate": "2018-11-27 13:53:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -5136,6 +5136,16 @@
                     "defaultMetric": "px",
                     "tags": [
                         "layout"
+                    ]
+                },
+                {
+                    "group": "template",
+                    "name": "gx-rating-height",
+                    "type": "text",
+                    "value": "30px",
+                    "defaultMetric": "px",
+                    "tags": [
+                        "layout"
                     ]
                 },
                 {
Index: src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/StyleEdit3/templates/Honeygrid/boilerplates/style_3.json	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -4,7 +4,7 @@
     "thumbnail": "style_3.png",
     "boilerplate": "boilerplate3",
     "creationDate": "2016-01-08 16:42:42",
-	"modificationDate": "2018-11-26 08:43:00",
+	"modificationDate": "2018-11-27 13:53:00",
     "colorPalette": [
         "brand-primary",
         "body-bg",
@@ -5136,6 +5136,16 @@
                     "defaultMetric": "px",
                     "tags": [
                         "layout"
+                    ]
+                },
+                {
+                    "group": "template",
+                    "name": "gx-rating-height",
+                    "type": "text",
+                    "value": "30px",
+                    "defaultMetric": "px",
+                    "tags": [
+                        "layout"
                     ]
                 },
                 {
Index: src/StyleEdit3/templates/Honeygrid/lang/de.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/lang/de.json	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/StyleEdit3/templates/Honeygrid/lang/de.json	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -430,6 +430,7 @@
 	
 	"gx-products-name-height": "Höhe des Produktnamens in der Kachel",
 	"gx-products-price-height": "Höhe des Preiscontainers in der Kachel",
+	"gx-rating-height": "Höhe der Bewertungssterne in der Kachel",
 	"gx-ribbons-padding": "Abstand zwischen Ribbons und Artikelbild",
 	"gx-show-shipping-in-tile": "Lieferzeit in Kachel immer anzeigen",
 	
Index: src/StyleEdit3/templates/Honeygrid/lang/en.json
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/StyleEdit3/templates/Honeygrid/lang/en.json	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/StyleEdit3/templates/Honeygrid/lang/en.json	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -428,6 +428,7 @@
 	
 	"gx-products-name-height": "Height For Product Name In Tile",
 	"gx-products-price-height": "Height For Price Container in Tile",
+	"gx-rating-height": "Height For Rating Stars in Tile",
 	"gx-ribbons-padding": "Space Between Product Image And Ribbons",
 	"gx-show-shipping-in-tile": "Always Show Shipping Time in Tile",
 
Index: src/lang/german/original_sections/frontend/index.lang.inc.php
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/lang/german/original_sections/frontend/index.lang.inc.php	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/lang/german/original_sections/frontend/index.lang.inc.php	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -11,13 +11,13 @@
 
 $t_language_text_section_content_array = array
 (
-	'link_account' => 'Ihr Konto',
-	'link_cart' => 'Warenkorb',
-	'link_checkout' => 'Kasse',
-	'link_logoff' => 'Abmelden',
+	'link_account'          => 'Ihr Konto',
+	'link_cart'             => 'Warenkorb',
+	'link_checkout'         => 'Kasse',
+	'link_logoff'           => 'Abmelden',
 	'text_live_search_head' => 'Vorschläge',
-	'text_noproduct' => 'Es wurde kein Artikel gefunden.',
-	'text_noscript_notice' => 'JavaScript ist in Ihrem Browser deaktiviert. Aktivieren Sie JavaScript, um alle Funktionen des Shops nutzen und alle Inhalte sehen zu können.',
-	'text_shippingtime' => 'Lieferzeit:',
-	'text_show' => 'Hersteller:'
+	'text_noproduct'        => 'Es wurde kein Artikel gefunden.',
+	'text_noscript_notice'  => 'JavaScript ist in Ihrem Browser deaktiviert. Aktivieren Sie JavaScript, um alle Funktionen des Shops nutzen und alle Inhalte sehen zu können.',
+	'text_shippingtime'     => 'Lieferzeit:',
+	'text_show'             => 'Hersteller:'
 );
\ No newline at end of file
Index: src/templates/Honeygrid/module/product_listing/product_listing_v1.html
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- src/templates/Honeygrid/module/product_listing/product_listing_v1.html	(revision c4555776fcb5c62f019244acc63c11964e05e70b)
+++ src/templates/Honeygrid/module/product_listing/product_listing_v1.html	(revision a3417df6c8a96aecc125a0a397cc62627f5a2c7b)
@@ -36,7 +36,7 @@
 			<div class="row product-filter-target productlist productlist-viewmode {if $VIEW_MODE == 'tiled'}productlist-viewmode-grid{else}productlist-viewmode-list{/if}" data-gambio-widget="cart_handler">
 		
 				{block name="module_product_listing_main"}
-				{include file="get_usermod:{$tpl_path}snippets/product_listing/product_listing_main.html"}
+					{include file="get_usermod:{$tpl_path}snippets/product_listing/product_listing_main.html"}
 				{/block}
 			</div>
 		</div>